# MODFIN
[![PyPi](https://img.shields.io/pypi/v/modfin)](https://pypi.org/project/modfin/)
[![Python](https://img.shields.io/pypi/pyversions/modfin)](https://pypi.org/project/modfin/)

The Modfin is a Python library for financial analysis, containing the following set of tools and algorithms:

- [Analysis of Financial Time Series](#Analysis-financial-ts)
- [Asset Screening](#Asset-Screening)
- [Bet Sizing](#Bet-Sizing)
- [Data Structures](#Data-Structures)
- [Filtering](#Filtering)
- [Online Portfolio](#Online-Portfolio)
- [Option Pricing](#Option-Pricing)
- [Portfolio Optimization](#Portfolio-Optimization)


Installation
----------------

The [`modfin`](https://pypi.org/project/modfin/) project is available on PyPI. To install it you can use pip: 

```bash
pip install modfin
```

Alternatively, install the package from the source using the following command:

```bash
# 1) Clone the repository
git clone https://github.com/GabrielAbra/modfin

# 2) And then install the package
python setup.py install
```






